org.eclnt.jsfserver.elements.impl

## Class ROWTLCOCKPITBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWTLCOCKPITBinding

- All Implemented Interfaces:
    IDynamicContentBindingObject

      public class ROWTLCOCKPITBinding
      extends java.lang.Object
      implements IDynamicContentBindingObject

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ROWTLCOCKPITBinding.CockpitItem`
    `class` | `ROWTLCOCKPITBinding.TlgridItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_GREEN`
    `static int` | `STATUS_RED`
    `static int` | `STATUS_YELLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWTLCOCKPITBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCockpitItem(ROWTLCOCKPITBinding.CockpitItem ci)`
    `void` | `clearCockpitItems()`
    `ROWTLCOCKPITBinding.CockpitItem` | `getSelectedCockpitItem()`
    `FIXGRIDListBinding<ROWTLCOCKPITBinding.TlgridItem>` | `getTlgrid()`
    `void` | `onCockpitItemSelect(ROWTLCOCKPITBinding.CockpitItem ci)` Reactor when an item is selected - override this method in case you want to react on item selection.
    `void` | `selectCockpitItem(ROWTLCOCKPITBinding.CockpitItem ci)`
    `void` | `setTlgrid(FIXGRIDListBinding<ROWTLCOCKPITBinding.TlgridItem> value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_GREEN

          public static final int STATUS_GREEN

      See Also:
        Constant Field Values

    - #### STATUS_YELLOW

          public static final int STATUS_YELLOW

      See Also:
        Constant Field Values

    - #### STATUS_RED

          public static final int STATUS_RED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ROWTLCOCKPITBinding

          public ROWTLCOCKPITBinding()

  - ### Method Detail

    - #### getTlgrid

          public FIXGRIDListBinding<ROWTLCOCKPITBinding.TlgridItem> getTlgrid()

    - #### setTlgrid

          public void setTlgrid(FIXGRIDListBinding<ROWTLCOCKPITBinding.TlgridItem> value)

    - #### addCockpitItem

          public void addCockpitItem(ROWTLCOCKPITBinding.CockpitItem ci)

    - #### clearCockpitItems

          public void clearCockpitItems()

    - #### selectCockpitItem

          public void selectCockpitItem(ROWTLCOCKPITBinding.CockpitItem ci)

    - #### getSelectedCockpitItem

          public ROWTLCOCKPITBinding.CockpitItem getSelectedCockpitItem()

    - #### onCockpitItemSelect

          public void onCockpitItemSelect(ROWTLCOCKPITBinding.CockpitItem ci)

      Reactor when an item is selected - override this method in case you want to react on item selection.

Copyright © CaptainCasa Gmbh. All Rights Reserved.